/* js-dom.js */

// ADDING ITEMS TO START AND END OF LIST
var elUl = document.getElementsByTagName('ul')[0];

// ADD NEW ITEM TO END OF LIST
var newLastLi = document.createElement('li');
var newTextLast = document.createTextNode('cream');

newLastLi.appendChild(newTextLast);
elUl.appendChild(newLastLi);

// ADD NEW ITEM TO START OF LIST
var newFirstLi = document.createElement('li');
var newTextFirst = document.createTextNode('kale');

newFirstLi.appendChild(newTextFirst);
elUl.insertBefore(newFirstLi, elUl.firstChild);

var listItems = document.querySelectorAll('li');

// ADD A CLASS OF COOL TO ALL LIST ITEMS
for (var i = 0; i <= listItems.length - 1; i++) {
   listItems[i].className = 'cool';
}

// ADD NUMBER OF ITEMS IN THE LIST TO THE HEADING
var heading = document.querySelector('h2');
var headingText = heading.firstChild.nodeValue;
var totalItems = listItems.length;
var newHeading = headingText + '<span>' + totalItems + '</span>';

heading.innerHTML = newHeading;