/* js-jq-ajax.js */
$('nav').on('click', 'a', function(e) {
    e.preventDefault();

    var url = this.href;
    var $content = $('#content');

    $('nav a.current').removeClass('current');
    $(this).addClass('current');
    $('#container').remove();

    $.ajax({
        type: "GET",    // Using POST with safari causes a 412 error from server (???)
        url: url,
        timeout: 2000,
        beforeSend: function() {
            $content.append('<div id="load">Loading</div>');
        },
        complete: function() {
            $('#load').remove();
        },
        success: function(data) {
            $content.html($(data).find('#container')).hide().fadeIn(400);
        },
        error: function() {
            $content.html('<div class="load">Please try again soon.</div>');
        }
    });
});