/* js-object-constructor.js */

function Hotel(name, rooms, booked) {
    this.name = name;
    this.rooms = rooms;
    this.booked = booked;

    this.roomsAvailable = function() {
        return this.rooms - this.booked;
    };
}

var quayHotel = new Hotel('Quay', 40, 25);
var parkHotel = new Hotel('Park', 120, 77);

var quayDetails = quayHotel.name + ' rooms: ';
   quayDetails += quayHotel.roomsAvailable();
var elQuay = document.getElementById('hotel1');
elQuay.textContent = quayDetails;

var parkDetails = parkHotel.name + ' rooms: ';
parkDetails += parkHotel.roomsAvailable();
var elPark = document.getElementById('hotel2');
elPark.textContent = parkDetails;