<?php
/**
 * Created by PhpStorm.
 * User: stornarSIUE
 * Date: 3/16/15
 * Time: 3:28 PM
 */
require_once '../db/mysql-inc.connectDB.php';
include 'mysql-class.Course.php';

try {
    /* Connect to the db first. */
    $pdo = new PDO(DB_CONNECTION_STRING, DB_USER, DB_PWD);

    /* No connection errors so far. */
    $sql = "SELECT * FROM course";

    /* Run the query. */
    $result = $pdo->query($sql);

    /* Process each record in the result set. */
    echo "<h1>'course' table listing</h1>";
    while ( $row = $result->fetch() ) {
        $course = new Course($row);

        echo $course->getId() . "," .
             $course->getNumber() . "," .
             $course->getTitle() . "," .
             $course->getCredits() .
             "<br>";
//        echo $course . "<br>";
    }

    /* Release the resources. */
    $pdo = null;
} catch (PDOException $e) {
    die ( $e->getMessage() );
}