<?php

function multiplicationTable($factor) {
    $table = "<table>\n";
    $table .= tableColumnHeader($factor);
    $table .= tableRowValues($factor);
    $table .= "</table>";

    echo $table;
}

function tableColumnHeader($factor) {
    $header = "<tr><th>&nbsp;</th>";

    for ($i = 1; $i <= $factor; $i++) {
        $header .= "<th>$i</th>";
    }

    $header .= "</tr>";
    return $header;
}

function tableRowValues($factor) {
    $row = "";
    for ($r = 1; $r <= $factor; $r++) {
        $row .=  "<tr><th>$r</th>";

        for ($c = 1; $c <= $factor; $c++) {
            $row .= "<td>" . $r * $c . "</td>";
        }
        $row .= "</tr>\n";
    }
    return $row;
}