/* js-array.js */

// Original array
var original = [100, 30, 50, 80, 20];

// Display the original array
var elOriginal =  document.getElementById('original');
elOriginal.textContent += original;

// Display the reversed array
var elReversed = document.getElementById('reversed');
elReversed.textContent += original.reverse();

// Display the sorted array
var elSorted = document.getElementById('sorted');
elSorted.textContent += original.sort(function(a, b) { return a - b; });

// Display the first element
var elFirst = document.getElementById('first');
elFirst.textContent += original[0];

// Display the last element
var elLast = document.getElementById('last');
elLast.textContent += original[original.length - 1];

// Display the min element
var elMin = document.getElementById('min');
elMin.textContent += Math.min(100, 30, 50, 80, 20);

// Display the max element
var elMax = document.getElementById('max');
elMax.textContent += Math.max(100, 30, 50, 80, 20);