/* js-event-delegation.js */

function itemDone(e) {
   // Prevent the link from taking you elsewhere
   e.preventDefault();

   // Remove item from the list
   var targetA = e.target;          // <a> clicked on
   var elLi = targetA.parentNode;   // <li> contained within
   
   elUl.removeChild(elLi);
}

// Set up event listeners to call itemDone() on click
var elUl = document.getElementById('shoppingList');

elUl.addEventListener('click', function(e) { itemDone(e); }, false);