/* js-jq-form.js */
$(function() {
  var $newItemButton = $('#newItemButton');
  var $newItemForm = $('#newItemForm');
  var $textInput = $('input:text');

  $newItemForm.hide();
  $newItemButton.show();

  $('#showForm').on('click',
                    function() {
                       $newItemButton.hide();
                       $newItemForm.show();
                    });
  
  $newItemForm.on('submit',
                  function(e) {
                     e.preventDefault();
                     
                     var newText = $('input:text').val();
                     $('li:last').after('<li>' + newText + '</li>');
                     
                     $newItemForm.hide();
                     $newItemButton.show();
                     $textInput.val('');
                  });
});