<?php
    include 'php-class.Artist.php';

function testArtist() {
    $picasso = new Artist("Pablo", "Picasso", "Malaga", "October 25, 1881", "April 8, 1973");

    echo $picasso->getLastName() . ': ';
    echo '[' . date_format($picasso->getBirthDate(), 'd M Y') . '] to [';
    echo date_format($picasso->getDeathDate(), 'd M Y') . ']<hr>';

    $dali = new Artist("Salvador", "Dali", "Figures", "May 11, 1904", "January 23, 1989");

    echo $dali->getLastName() . ': ';
    echo '[' . date_format($dali->getBirthDate(), 'd M Y') . '] to [';
    echo date_format($dali->getDeathDate(), 'd M Y') . ']<hr>';

    echo 'Number of instantiated artists: ' . Artist::getArtistCount();

    echo '<hr>';
    echo '<h2>Using the __toString() magic function</h2>';

    echo $picasso . "<hr>";
    echo $dali . "<hr>";
}